Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class MQNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              com.sun.messaging.jms.management.server.MQNotification

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BrokerNotification, ClusterNotification, ConnectionNotification, DestinationNotification, LogNotification, ServiceNotification, TransactionNotification

    public class MQNotification

extends Notification

Class containing information on cluster operations.

The MQ specific fields in this notification is TBD.

See Also:
  Serialized Form

Field Summary
`static String` `PREFIX` Prefix for all MQ notification type strings.

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`MQNotification(String type, Object source, long sequenceNumber)` Creates a MQNotification object.

Method Summary

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  Prefix for all MQ notification type strings.

  See Also:
    Constant Field Values

Constructor Detail

### MQNotification

    public MQNotification(String type,
                          Object source,
                          long sequenceNumber)

  Creates a MQNotification object.

  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.